Bug 471425 - ybin --bootonce doesn't work
ybin --bootonce doesn't work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 12:25 EST by Will Woods
Modified: 2008-12-13 10:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 08:17:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
yaboot-1.3.14-fix-bootonce-nvram.patch (871 bytes, patch)
2008-11-13 12:25 EST, Will Woods
no flags Details | Diff

  None (edit)
Description Will Woods 2008-11-13 12:25:19 EST
Created attachment 323479 [details]
yaboot-1.3.14-fix-bootonce-nvram.patch

yaboot --bootonce doesn't work, for a couple of reasons:

1) It inverts the logic of a test to see if nvram is available, and
2) It assumes the output of 'nvsetenv VARNAME' will be 'VARNAME=VALUE', rather than just 'VALUE' (as it is when using the "nvram" utility).

The attached patch fixes these problems and makes --bootonce work as expected.
Comment 1 Will Woods 2008-11-13 12:31:14 EST
Er, I meant ybin --bootonce. But you get the idea.
Comment 2 Roman Rakus 2008-11-14 09:19:17 EST
Thank you for investigation and patch.
Comment 3 Bug Zapper 2008-11-26 00:19:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Roman Rakus 2008-11-26 08:17:24 EST
Fixed in rawhide yaboot-1.3.14-7.fc11
Comment 5 Fedora Update System 2008-12-11 04:44:12 EST
yaboot-1.3.14-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yaboot-1.3.14-8.fc10
Comment 6 Fedora Update System 2008-12-13 10:00:28 EST
yaboot-1.3.14-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.